import React, { SyntheticEvent } from 'react';
import { FormBuilderPropTypes, StateTypes, IFormContext, RegisterFieldType, SetFieldsType, SetFieldsValueType, GetFieldsValueType, IFormContextApi, GetFieldsType, FieldNameType } from '../types';
export declare const FormContext: React.Context<IFormContext>;
export declare const FormContextApi: React.Context<IFormContextApi>;
export default class FormBuilder extends React.Component<FormBuilderPropTypes, StateTypes> {
    static defaultProps: {
        validateOnBlur: boolean;
    };
    state: StateTypes;
    internalsOnChanges: Map<any, any>;
    private formContextApiValue;
    constructor(props: FormBuilderPropTypes);
    static getDerivedStateFromProps(props: FormBuilderPropTypes, state: StateTypes): StateTypes;
    getFields: GetFieldsType;
    setFields: SetFieldsType;
    setFieldsValue: SetFieldsValueType;
    getFieldsValue: GetFieldsValueType;
    setInternalOnChanges: (config: object) => void;
    unsetInternalOnChanges: (config: object) => void;
    getInitialValues: (fieldKey?: FieldNameType) => any;
    onSubmit: (event: SyntheticEvent<HTMLFormElement>) => Promise<any>;
    toggleSubmitting: (submitting: boolean) => void;
    registerField: ({ name, ...field }: RegisterFieldType) => void;
    unregister: ({ name }: {
        name: string;
    }) => void;
    private onChange;
    private triggerOnChangeEvents;
    render(): JSX.Element;
}
