import { ErrorMessageType } from './types';
export declare type ReturnTypeValidator = null | ErrorMessageType;
export declare type ValidatorType<T> = (value: T, message: ErrorMessageType) => ReturnTypeValidator;
export default class Validators {
    static required: ValidatorType<any>;
    static email: ValidatorType<string>;
    static number: ValidatorType<any>;
    static len: (length: number) => ValidatorType<any>;
    static min: (min: number) => ValidatorType<number>;
    static composeValidators: (validators: Array<ValidatorType<any>>) => ValidatorType<any>;
}
