"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
class Validators {}
exports.default = Validators;
Validators.required = (value, message) => !!value ? null : message;
Validators.email = (value, message) => {
  const regexpEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  if (value) {
    return typeof value === 'string' && !!value.match(regexpEmail) && value.length < 255 ? null : message;
  }
  return null;
};
Validators.number = (value, message) => {
  if (isNaN(value)) {
    return message;
  }
  return typeof value === 'number' ? null : message;
};
Validators.len = length => (value, message) => {
  const isNumber = !Validators.number(value, message);
  return isNumber && String(value).length === length ? null : message;
};
Validators.min = min => (value, message) => {
  return min <= value ? null : message;
};
Validators.composeValidators = validators => (value, message) => {
  let result = null;
  validators.find((validator, index) => {
    result = validator(value, message[index]);
    return result;
  });
  return result;
};