"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormApi = void 0;
var _react = require("react");
var _FormBuilder = require("../FormBuilder");
var _useInitialValues = require("./useInitialValues");
var _useWatchFields = require("./useWatchFields");
var _useWatchValue = require("./useWatchValue");
var _useSubmit = require("./useSubmit");
const useFormApi = () => {
  const context = (0, _react.useContext)(_FormBuilder.FormContextApi);

  // TODO: replace with invariant
  if (!Object.keys(context).length) {
    throw new Error('The useFormApi must be inside the FormBuilder');
  }
  const {
    setFields,
    setFieldsValue,
    getFieldsValue,
    getFields
  } = context;
  return {
    setFields,
    setFieldsValue,
    getFields,
    getFieldsValue,
    useWatchFields: _useWatchFields.useWatchFields,
    useWatchValue: _useWatchValue.useWatchValue,
    useInitialValues: _useInitialValues.useInitialValues,
    useSubmit: _useSubmit.useSubmit
  };
};
exports.useFormApi = useFormApi;