"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInitialValues = void 0;
var _react = require("react");
var _FormBuilder = require("../FormBuilder");
const useInitialValues = fieldKey => {
  const context = (0, _react.useContext)(_FormBuilder.FormContextApi);
  if (!Object.keys(context).length) {
    throw new Error('The useFieldsValue must be inside the FormBuilder');
  }
  const nextValue = (0, _react.useMemo)(() => {
    const value = context.getInitialValues(fieldKey);
    return value;
  }, [fieldKey, context]);
  return nextValue;
};
exports.useInitialValues = useInitialValues;