"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWatchFields = void 0;
var _react = require("react");
var _FormBuilder = require("../FormBuilder");
const useWatchFields = fieldKey => {
  const context = (0, _react.useContext)(_FormBuilder.FormContextApi);
  if (!Object.keys(context).length) {
    throw new Error('The useFieldsValue must be inside the FormBuilder');
  }
  const [nextValue, setNextValue] = (0, _react.useState)([]);
  (0, _react.useEffect)(() => {
    const onChangeFields = fieldKey ? {
      [fieldKey]: (field, allFields) => setNextValue([field, allFields])
    } : (allFields, updatedFields) => setNextValue([allFields, updatedFields]);
    context.setInternalOnChanges(onChangeFields);
    return () => context.unsetInternalOnChanges(onChangeFields);
  }, [fieldKey, context]);
  return nextValue;
};
exports.useWatchFields = useWatchFields;