"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWatchValue = void 0;
var _react = require("react");
var _constants = require("../constants");
var _useWatchFields = require("./useWatchFields");
function prepareValue(field) {
  return field === null || field === void 0 ? void 0 : field.value;
}
function prepareValues() {
  let fields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return Object.values(fields).reduce((acc, field) => {
    acc[field.name] = field.value;
    return acc;
  }, {});
}
const useWatchValue = (fieldKey, defaultValue) => {
  const [fieldOrFields] = (0, _useWatchFields.useWatchFields)(fieldKey);
  const defaultValueRef = (0, _react.useRef)(defaultValue);
  const parsedResult = (0, _react.useMemo)(() => {
    if (fieldKey) {
      const value = prepareValue(fieldOrFields);
      return _constants.UNCONTROLLED_VALUES.includes(value) ? defaultValueRef.current : value;
    }
    return prepareValues(fieldOrFields);
  }, [fieldKey, fieldOrFields]);
  return parsedResult;
};
exports.useWatchValue = useWatchValue;